Bug 75805 - mc (over telnet/ssh) font/color usage is a mess.
mc (over telnet/ssh) font/color usage is a mess.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: vte (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-12 16:37 EDT by Ivo Sarak
Modified: 2015-01-07 19:01 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-09 13:34:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ivo Sarak 2002-10-12 16:37:55 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020830

Description of problem:
When to run mc locally behind console, it is fine but if to telnet/ssh to other
host and run mc there - total mess and unusability.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1) Run mc at console not at X11 window to verify it is running fine;
2) telnet/ssh to some other host ad run mc from there;

Actual Results:  No correct output from mc, total mess: random symbols at random
places etc.

Expected Results:  Same results as when to run mc locally.

Additional info:

This font/symbol/color problems are not only with mc but with all such programs
what use console (iptraf, setup).
Comment 1 Havoc Pennington 2002-10-12 18:01:59 EDT
Is the remote system also an 8.0 system?
Comment 2 Ivo Sarak 2002-10-13 05:27:07 EDT
Yes and no as it does not depend on what RedHat version is running at the host
(in my case 7.3 & 8.0).
Comment 3 StK 2002-10-15 13:41:26 EDT
STRG-X c over ssh doen't work when the server is RH 8
Comment 4 Ivo Sarak 2002-10-29 08:42:19 EST
Is there a hope for a fix or workaround for this problem?
Comment 5 Havoc Pennington 2002-11-05 13:42:06 EST
Can you try "LANG=C mc" on the remote host?
Comment 6 Ivo Sarak 2002-11-05 14:32:09 EST
"LANG=C mc" will generate better results - no random symbols, but all border
symbols are missing, only different background colors are visible.
Comment 7 Andrea Diodato 2002-12-17 12:43:21 EST
All bold colors is missing:
Yellow is brown. 
Light green is dark green (see at boot the "[ OK ]"!!)
No way to change the palette (setpalette from SVGATextMode don't works!!)
Please ask RedHat you too for reintegrate bold colors!!
I can't utilize RH8.0 so!!
Comment 8 Havoc Pennington 2002-12-17 13:47:48 EST
For problems of encoding mismatch (UTF-8 locally, something else remotely), 
there's not much we can do other than the Encoding menu available in rawhide
gnome-terminal.

If there are terminal emulation issues in vte we should fix those.

If there are remaining mc-specific issues then this bug should be assigned 
back to mc and the MoveUpstream keyword added.
Comment 9 Nalin Dahyabhai 2003-01-13 23:37:21 EST
Before starting ssh, check the contents of your locale settings using the
"locale" command.  If they're all the same (the usual case), ensure that LANG is
set to the same value on the remote system as it is locally before you start mc
there.
Comment 10 Ivo Sarak 2003-01-14 11:13:20 EST
How I can change these?
redhat-config-keyboard and redhat-config-language seem not to have any effect.  

Local machine (fresh install of RedHat Linux 8.0):
[IS@sarmax IS]$ locale
LANG=en_US.UTF-8
LC_CTYPE="en_US.UTF-8"
LC_NUMERIC="en_US.UTF-8"
LC_TIME="en_US.UTF-8"
LC_COLLATE="en_US.UTF-8"
LC_MONETARY="en_US.UTF-8"
LC_MESSAGES="en_US.UTF-8"
LC_PAPER="en_US.UTF-8"
LC_NAME="en_US.UTF-8"
LC_ADDRESS="en_US.UTF-8"
LC_TELEPHONE="en_US.UTF-8"
LC_MEASUREMENT="en_US.UTF-8"
LC_IDENTIFICATION="en_US.UTF-8"
LC_ALL=
[IS@sarmax IS]$ echo $LANG
en_US.UTF-8
[IS@sarmax IS]$

Remote machine (RedHat Linux 8.0 upgrade from RedHat Linux 7.3):
[IS@ragana IS]$ locale
LANG=en_US
LC_CTYPE="en_US"
LC_NUMERIC="en_US"
LC_TIME="en_US"
LC_COLLATE="en_US"
LC_MONETARY="en_US"
LC_MESSAGES="en_US"
LC_PAPER="en_US"
LC_NAME="en_US"
LC_ADDRESS="en_US"
LC_TELEPHONE="en_US"
LC_MEASUREMENT="en_US"
LC_IDENTIFICATION="en_US"
LC_ALL=
[IS@ragana IS]$ echo $LANG
en_US
[IS@ragana IS]$

(Somehow on this machine "setup" utility is missing "Keyboard configuration"...)

Another remote machine (also RedHat Linux 8.0 upgrade from RedHat Linux 7.3):
[IS@ranume IS]$ locale
LANG=en_US.iso885915
LC_CTYPE="en_US.iso885915"
LC_NUMERIC="en_US.iso885915"
LC_TIME="en_US.iso885915"
LC_COLLATE="en_US.iso885915"
LC_MONETARY="en_US.iso885915"
LC_MESSAGES="en_US.iso885915"
LC_PAPER="en_US.iso885915"
LC_NAME="en_US.iso885915"
LC_ADDRESS="en_US.iso885915"
LC_TELEPHONE="en_US.iso885915"
LC_MEASUREMENT="en_US.iso885915"
LC_IDENTIFICATION="en_US.iso885915"
LC_ALL=
[IS@ranume IS]$ echo $LANG
en_US.iso885915
[IS@ranume IS]$

Comment 11 Ray Strode [halfline] 2004-11-09 13:34:46 EST
gnome-terminal now has a menu item to address this problem.

Note You need to log in before you can comment on or make changes to this bug.